* {
  box-sizing: border-box;
}

body.site-container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
  font-family: Arial, sans-serif;
}

.main-content {
  flex: 1;
  padding: 0px 200px;
}

#global-header {
  position: static;
  top: auto;
  background-color: var(--sg-dark);
  z-index: 1000;
}

.navbar {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px;
}

.logo {
  color: #ff0000;
  font-weight: bold;
  font-size: 1.2rem;
}

.nav-links {
  font-family: "Poiret One", Arial, sans-serif;
  font-size: 20px;
  font-weight: bold;
  line-height: 1.5;
  display: flex;
  gap: 20px;
  margin: 0;
  padding: 0;
  align-items: center;
  list-style: none;
}

.nav-links a {
  color: #fff;
  text-decoration: none;
  border-bottom: 4px solid transparent;
  transition: color 0.3s, border-bottom 0.3s;
}

.nav-links a:hover {
  color: #fff;
  border-bottom: 4px solid #fff;
}

.navbar > .nav-links:first-of-type {
  flex: 1 1 auto;
  justify-content: flex-end;
  display: flex;
}

.navbar > .logo {
  margin: 0 20px;
  display: flex;
  align-items: center;
}

.navbar > .nav-links:last-of-type {
  flex: 1 1 auto;
  justify-content: flex-start;
  display: flex;
}

.wavy-header {
  position: relative;
  color: white;
  min-height: 300px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.wave {
  position: relative;
  display: block;
  width: 100vw;
  left: 50%;
  margin-left: -50vw; 
  height: auto;
  max-height: 160px; 
  line-height: 0;
  margin-top: -1px; 
}

.wave path {
  fill: #ffffff; 
}


/* Footer Component Styles */
#global-footer {
  background-color: var(--sg-dark);
  color: #fff;
  text-align: center;
}

#global-footer p {
  margin: 5px 0;
  font-family: "Montserrat", Arial, sans-serif;
  font-size: 18px;
  line-height: 2;
  font-weight: normal;
}

#global-footer a {
  color: var(--sg-yellow);
  text-decoration: none;
  transition: color 0.3s, text-decoration 0.3s;
}

#global-footer a:hover {
  color: #ffffff;
  text-decoration: underline;
}

.nav-links,
.footer-divide ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

#global-header ul,
#global-footer ul {
  list-style: none !important;
  margin: 0 !important;
  padding: 0 !important;
}

#global-header ul li,
#global-footer ul li {
  margin: 0;
  padding: 0;
}
/* Footer text styles */
#global-footer p,
.footer-links ul li {
  margin: 5px 0;
  font-family: "Montserrat", Arial, sans-serif;
  font-size: 18px;
  line-height: 2;
}

.footer-divide {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  justify-content: space-between;
  align-items: center;
  padding: 20px 300px;
}

.contact img {
  margin: 10px;
}

.footer-bottom {
  background-color: var(--sg-green);
  color: #fff;
  text-align: center;
  padding: 10px;
  bottom: 0;
  margin-bottom: 0;
  font-family: "Montserrat", Arial, sans-serif;
  font-size: 16px;
}


@media (max-width: 1500px) {
  .navbar { padding: 30px 30px 80px 30px; }
  .footer-divide { padding: 20px 200px; }
}

@media (max-width: 1200px) {
  .navbar { padding: 30px 30px 80px 30px; }
  .footer-divide { padding: 20px 100px; }

  .main-content, .how-it-works {
  flex: 1;
  padding: 30px 50px;
}
}

@media (max-width: 768px) {
  .navbar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
    gap: 8px;
  }

  .footer-divide {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    justify-content: space-between;
    align-items: center;
    padding: 20px 30px;
  }
  .main-content, .how-it-works {
  flex: 1;
  padding: 20px 10px;
}
}